Skip to main content
GET
/
public
/
v1
/
signal-types
List built-in signal types
curl --request GET \
  --url http://app.stairoids.com/api/public/v1/signal-types \
  --header 'X-Api-Key: <api-key>'
[
  {
    "type": "COMPANY_VISIT_WEBSITE",
    "label": "Visited Website",
    "category": "Company-Level Signals",
    "emoji": "🌐"
  }
]

Authorizations

X-Api-Key
string
header
required

Your organization's public API key. Manage it at GET /api/user/public-api-key.

Response

OK

type
string

Signal type code — matches the activity feed's signalType.

Example:

"COMPANY_VISIT_WEBSITE"

label
string

Human-readable label.

Example:

"Visited Website"

category
string

Category this signal belongs to.

Example:

"Company-Level Signals"

emoji
string

Emoji used for this signal in the UI.

Example:

"🌐"